Bug 54778 - Unicode issue when pasting into several table cells
Summary: Unicode issue when pasting into several table cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste Writer-Tables
  Show dependency treegraph
 
Reported: 2012-09-11 15:04 UTC by jun meguro
Modified: 2018-09-03 02:42 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
sample_document(before) (10.28 KB, application/vnd.oasis.opendocument.text)
2012-09-11 15:04 UTC, jun meguro
Details
sample_document(after) (11.54 KB, application/vnd.oasis.opendocument.text)
2012-09-11 15:05 UTC, jun meguro
Details
plane text (26 bytes, text/plain)
2012-09-11 15:05 UTC, jun meguro
Details
sample 2015/12/21 (19.59 KB, application/vnd.oasis.opendocument.text)
2015-12-20 19:09 UTC, jun meguro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jun meguro 2012-09-11 15:04:01 UTC
Created attachment 66978 [details]
sample_document(before)

1,Open new ODF text document.
2,Insert table.
3,Select all cells.
4,Copy and paste some plane texts from other text data to selected cells.
5,Pasted texts will broken.
Comment 1 jun meguro 2012-09-11 15:05:07 UTC
Created attachment 66979 [details]
sample_document(after)
Comment 2 jun meguro 2012-09-11 15:05:48 UTC
Created attachment 66980 [details]
plane text
Comment 3 A (Andy) 2012-12-27 16:08:10 UTC
reproducible with LO 3.6.4.3. (Win7 Home, 64bit) as shown in the attachments
Comment 4 A (Andy) 2014-10-18 18:45:07 UTC
Reproducible with LO 4.3.2.2 (Win 8.1)

Note: Assure that you only select the cells of the table and not also the line below the table (-> no CTRL+A).
Comment 5 QA Administrators 2015-12-20 16:05:56 UTC Comment hidden (obsolete)
Comment 6 jun meguro 2015-12-20 19:08:20 UTC
Probrem still reproducible with 5.0.2

1,Open new ODF text document.
2,Insert table.
3,Select all cells.
4,Copy and paste some plane texts from other text data to selected cells.
  *Using "Ctrl + Shift + V"
5,Pasted texts will broken.
Comment 7 jun meguro 2015-12-20 19:09:09 UTC
Created attachment 121452 [details]
sample 2015/12/21
Comment 8 QA Administrators 2017-01-03 19:46:00 UTC Comment hidden (obsolete)
Comment 9 Thomas Lendo 2017-09-02 21:33:19 UTC
Still repro.

Version: 6.0.0.0.alpha0+
Build ID: bfd8a4e22fe584939f67b64c9c9495a466b16576
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-21_00:52:56
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 10 QA Administrators 2018-09-03 02:42:48 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug